<?php

declare(strict_types=1);

namespace mirzaev\surikovlib\controllers;

use mirzaev\surikovlib\views\manager;
use mirzaev\surikovlib\models\core as models;

use mirzaev\minimal\controller;

/**
 * Ядро контроллеров
 *
 * @package mirzaev\surikovlib\controllers
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
class core extends controller
{
    /**
     * Конструктор
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();

        // Инициализация ядра моделей (соединение с базой данных...)
        new models();

        $this->view = new manager;
    }
}
